EJBClient

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Class EJBClient

    java.lang.Object
      thegroup.projectcddb.database.EJBClient

All Implemented Interfaces:
  ClientInterface

public class EJBClient
extends java.lang.Object
implements ClientInterface

Description of the Class

Author:
  Diana Abbas

Constructor Summary
`EJBClient()` Constructor for the EJBClient object

Method Summary
`static javax.naming.Context` | `getContext()` Gets the Context attribute of the CDDBLookup class
`java.lang.String` | `getFile(java.lang.String discid)` Gets the File attribute of the EJBClient object
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBClient

    public EJBClient()

  Constructor for the EJBClient object

Throws:
  `java.lang.Exception` - Description of Exception
Since:
  empty

Method Detail

### getFile

    public java.lang.String getFile(java.lang.String discid)

  Gets the File attribute of the EJBClient object

  Specified by:
    `getFile` in interface `ClientInterface`
  Parameters:
    `discid` - disc id to look up in database
  Returns:
    The File in the format requested by the client
  Throws:
    `java.lang.Exception` - Description of Exception
  Since:
    empty

### getContext

    public static javax.naming.Context getContext()
                                           throws javax.naming.NamingException

  Gets the Context attribute of the CDDBLookup class

  Returns:
    The Context value
  Throws:
    `javax.naming.NamingException` - Pinpoints where the operation failed
  Since:
    empty

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD